

Patch from Stephen Hemminger <shemminger@osdl.org>

This patch gets rid of the following warnings.

fs/cifs/cifssmb.c: In function `CIFSSMBRead':
fs/cifs/cifssmb.c:489: warning: duplicate `const'
fs/cifs/cifssmb.c: In function `CIFSSMBUnixQuerySymLink':
fs/cifs/cifssmb.c:1030: warning: duplicate `const'
fs/cifs/cifssmb.c:1044: warning: duplicate `const'
fs/cifs/cifssmb.c: In function `CIFSSMBQueryReparseLinkInfo':
fs/cifs/cifssmb.c:1120: warning: duplicate `const'




 fs/cifs/cifssmb.c |   23 +++++++++++++----------
 1 files changed, 13 insertions(+), 10 deletions(-)

diff -puN fs/cifs/cifssmb.c~const-warning-fix-1 fs/cifs/cifssmb.c
--- 25/fs/cifs/cifssmb.c~const-warning-fix-1	Mon Feb 17 14:57:07 2003
+++ 25-akpm/fs/cifs/cifssmb.c	Mon Feb 17 14:57:07 2003
@@ -504,9 +504,10 @@ CIFSSMBRead(const int xid, const struct 
 	pSMB->OffsetLow = cpu_to_le32(lseek & 0xFFFFFFFF);
 	pSMB->OffsetHigh = cpu_to_le32(lseek >> 32);
 	pSMB->Remaining = 0;
-	pSMB->MaxCount = cpu_to_le16(min(count,
-					 (tcon->ses->server->maxBuf -
-					  MAX_CIFS_HDR_SIZE) & 0xFFFFFF00));
+	pSMB->MaxCount = cpu_to_le16(min_t(const int, 
+					   count,
+					   (tcon->ses->server->maxBuf -
+					    MAX_CIFS_HDR_SIZE) & 0xFFFFFF00));
 	pSMB->MaxCountHigh = 0;
 	pSMB->ByteCount = 0;  /* no need to do le conversion since it is 0 */
 
@@ -1045,9 +1046,10 @@ CIFSSMBUnixQuerySymLink(const int xid, c
 								   Protocol +
 								   pSMBr->
 								   DataOffset),
-						      min(buflen,
-							  (int) pSMBr->
-							  DataCount) / 2);
+						      min_t(const int,
+							    buflen,
+							    pSMBr->
+							    DataCount) / 2);
 				cifs_strfromUCS_le(symlinkinfo,
 						   (wchar_t *) ((char *)
 								&pSMBr->
@@ -1059,9 +1061,9 @@ CIFSSMBUnixQuerySymLink(const int xid, c
 			} else {
 				strncpy(symlinkinfo,
 					(char *) &pSMBr->hdr.Protocol +
-					pSMBr->DataOffset, min(buflen, (int)
-							       pSMBr->
-							       DataCount));
+					pSMBr->DataOffset, 
+					min_t(const int,
+						buflen,pSMBr->DataCount));
 			}
 			symlinkinfo[buflen] = 0;
 	/* just in case so calling code does not go off the end of buffer */
@@ -1137,7 +1139,8 @@ CIFSSMBQueryReparseLinkInfo(const int xi
 				} else { /* ASCII names */
 					strncpy(symlinkinfo,reparse_buf->LinkNamesBuf + 
 						reparse_buf->TargetNameOffset, 
-						min(buflen, (int)reparse_buf->TargetNameLen));
+						min_t(const int,
+						      buflen, reparse_buf->TargetNameLen));
 				}
 			} else {
 				rc = -EIO;

_
